## org.gnu.gdk
Class Event

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Event

public class Event
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Event(Event event)` Creates a copy of an event.
`Event(EventType type)` Create a new event of a given type.
`Event(Handle handle)`

Method Summary
`static boolean` `eventsPending()` Checks if any events are ready to be processed for any display.
`protected void` `finalize()`
`protected static Handle` `gdk_event_copy(Handle event)`
`protected static void` `gdk_event_free(Handle event)`
`protected static boolean` `gdk_event_get_axis(Handle event, int axisUse, double[] value)`
`protected static boolean` `gdk_event_get_coords(Handle event, double[] xWin, double[] yWin)`
`protected static Handle` `gdk_event_get_graphics_expose(Handle window)`
`protected static boolean` `gdk_event_get_root_coords(Handle event, double[] xRoot, double[] yRoot)`
`protected static int` `gdk_event_get_time(Handle event)`
`protected static Handle` `gdk_event_get()`
`protected static Handle` `gdk_event_new(int type)`
`protected static Handle` `gdk_event_peek()`
`protected static void` `gdk_event_put(Handle event)`
`protected static boolean` `gdk_events_pending()`
`static Event` `get()` Checks all open displays for an Event to process, to be processed on, fetching events from the windowing system if necessary.
`static EventExpose` `getGraphicsExpose(Window window)` Waits for a GraphicsExpose or NoExpose event from the X server.
`int` `getTime()` Returns the timestamp of the event.
`protected static int` `getType(Handle obj)`
`static Event` `peek()` If there is an event waiting in the event queue of some open display, returns a copy of it.
`static void` `put(Event anEvent)` Appends a copy of a given event onto the front of the event queue the event window's display or the default event queue if the event's window is null.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event(EventType type)

  Create a new event of a given type.

Parameters:
  `type` -

### Event

    public Event(Event event)

  Creates a copy of an event.

Parameters:
  `event` -

### Event

    public Event(Handle handle)

Method Detail

### eventsPending

    public static boolean eventsPending()

  Checks if any events are ready to be processed for any display.

### peek

    public static Event peek()

  If there is an event waiting in the event queue of some open display, returns a copy of it.

  Returns:
    A copy of the first Event on some event queue or null if no events are in any queue.

### get

    public static Event get()

  Checks all open displays for an Event to process, to be processed on, fetching events from the windowing system if necessary.

  Returns:
    The next Event to be processed or null if no events are pending.

### getGraphicsExpose

    public static EventExpose getGraphicsExpose(Window window)

  Waits for a GraphicsExpose or NoExpose event from the X server.

  Parameters:
    `window` - Window to wait for the events for.
  Returns:
    An EventExpose event if a GraphicsExpose was received or null if a NoExpose event was received.

### put

    public static void put(Event anEvent)

  Appends a copy of a given event onto the front of the event queue the event window's display or the default event queue if the event's window is null.

  Parameters:
    `anEvent` -

### getTime

    public int getTime()

  Returns the timestamp of the event.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getType

    protected static final int getType(Handle obj)

### gdk_event_get

    protected static final Handle gdk_event_get()

### gdk_event_peek

    protected static final Handle gdk_event_peek()

### gdk_event_get_graphics_expose

    protected static final Handle gdk_event_get_graphics_expose(Handle window)

### gdk_event_put

    protected static final void gdk_event_put(Handle event)

### gdk_event_new

    protected static final Handle gdk_event_new(int type)

### gdk_event_copy

    protected static final Handle gdk_event_copy(Handle event)

### gdk_event_free

    protected static final void gdk_event_free(Handle event)

### gdk_event_get_time

    protected static final int gdk_event_get_time(Handle event)

### gdk_event_get_coords

    protected static final boolean gdk_event_get_coords(Handle event,
                                                        double[] xWin,
                                                        double[] yWin)

### gdk_event_get_root_coords

    protected static final boolean gdk_event_get_root_coords(Handle event,
                                                             double[] xRoot,
                                                             double[] yRoot)

### gdk_event_get_axis

    protected static final boolean gdk_event_get_axis(Handle event,
                                                      int axisUse,
                                                      double[] value)

### gdk_events_pending

    protected static final boolean gdk_events_pending()